// bsp5c.cpp : Summe von 1 bis 100, Reduktion
#include "stdafx.h"

#include <omp.h>


int _tmain(int argc, _TCHAR* argv[])
{
	const int MAXTHREADS=4;
	int i, j;	
	omp_set_num_threads(MAXTHREADS);
	int summe=0;	// Diesen Wert erhält jeder Thread, ā la copyprivate
	
	#pragma omp parallel for  reduction(+:summe)
		for (int i = 1; i <= 10000; ++i) {
			summe+=i;;
		}
		
	printf("Summe: %d\n", summe );

     // double als schleifenindex nicht erlaubt
	double dsumme=0.0;
	#pragma omp parallel for  reduction(+:dsumme)
		for (int x = 0; x <= 100; x+=5) {			
			double fx = 2*(x*0.1)  + 4;
			fx=1;
			dsumme+=fx;
		}
   dsumme*=0.5;
		
	printf("dSumme: %f\n", dsumme );
	char ch[200];
	gets(ch);
	
	return 0;
}


